- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_netstream_template – Manages NetStream template configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages NetStream template configuration on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
collect_counter - | Choices: bytes packets | Configure the number of packets and bytes that are included in the flexible flow statistics sent to NSC.
collect_interface - | Choices: input output | Configure the input or output interface that are included in the flexible flow statistics sent to NSC.
description - |  | Configure the description of netstream record. The value is a string of 1 to 80 case-insensitive characters.
match - | Choices: destination-address destination-port tos protocol source-address source-port | Configure flexible flow statistics template keywords.
record_name - |  | Configure the name of netstream record. The value is a string of 1 to 32 case-insensitive characters.
state - | Choices: present ← absent | Specify desired state of the resource.
type - / required | Choices: ip vxlan | Configure the type of netstream record.

## Notes

Note

- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: netstream template module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Config ipv4 netstream record
        ce_netstream_template:
          state: present
          type: ip
          record_name: test
          provider: "{{ cli }}"
      - name: Undo ipv4 netstream record
        ce_netstream_template:
          state: absent
          type: ip
          record_name: test
          provider: "{{ cli }}"
      - name: Config ipv4 netstream record collect_counter
        ce_netstream_template:
          state: present
          type: ip
          record_name: test
          collect_counter: bytes
          provider: "{{ cli }}"
      - name: Undo ipv4 netstream record collect_counter
        ce_netstream_template:
          state: absent
          type: ip
          record_name: test
          collect_counter: bytes
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'record_name': 'test', 'type': 'ip'}
existing dictionary | always | k/v pairs of existing aaa server
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'record_name': 'test', 'type': 'ip', 'state': 'present'}
updates list | always | command sent to the device Sample: ['netstream record test ip']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.